Index: tests/array.cfa
===================================================================
--- tests/array.cfa	(revision a5aa5bf540d60862fa4c03609b41cf72df5835d0)
+++ tests/array.cfa	(revision 6c121eed6f4c0f793dca1e69b669f683bcfdfe3e)
@@ -37,5 +37,5 @@
 #endif
 
-	int a1[0];
+    int a1[0];
 E1( int a2[*];       )
                                                         #ifndef __cforall
@@ -43,60 +43,60 @@
                                                         #endif
 
-	int m1[0][3];
-E1(	int m2[*][*];    )
-	int m4[3][3];
+    int m1[0][3];
+E1( int m2[*][*];    )
+    int m4[3][3];
 
-	typedef int T;
+    typedef int T;
 
-	int fred(int n) {
-E1(		int a1[];    )
-E1(		int a2[*];   )
-		int a4[3];
-		int T[3];
-		int a5[n];
-	}
+    int fred(int n) {
+E1(     int a1[];    )
+E1(     int a2[*];   )
+        int a4[3];
+        int T[3];
+        int a5[n];
+    }
 
-	int mary( int T[3],                                 // same as: int *T
-			  int p1[const 3],                          // same as: int const *p1
-			  int p2[static 3],                         // same as T, but length >=3 checked
-			  int p3[static const 3]                    // both above: 3 is static, p3 is const
-		) {
-	}
+    int mary( int T[3],                                 // same as: int *T
+              int p1[const 3],                          // same as: int const *p1
+              int p2[static 3],                         // same as T, but length >=3 checked
+              int p3[static const 3]                    // both above: 3 is static, p3 is const
+        ) {
+    }
 
-	// function taking (), returning pointer to array of ints
-	int (*tom())[3] {
-	}
+    // function taking (), returning pointer to array of ints
+    int (*tom())[3] {
+    }
 
-	// function taking (), returning pointer to function of same type as mary
-	int (*(jane)())( int T[3],
-					int p1[const 3],
-					int p2[static 3],
-					int p3[static const 3]
-		) {
-	}
+    // function taking (), returning pointer to function of same type as mary
+    int (*(jane)())( int T[3],
+                     int p1[const 3],
+                     int p2[static 3],
+                     int p3[static const 3]
+        ) {
+    }
 
-	// functions returning same exotic pointers, in CFA's non-onion syntax
-	#ifdef __cforall
-	[ * [3] int ] toms_twin(...) {
-	}
-	[ * [int]( [3] int T,
-			[const 3] int p1,
-			[static 3] int p2,
-			[static const 3] int p3
-			)
-	] janes_twin(...) {
-	}
-	#endif
+    // functions returning same exotic pointers, in CFA's non-onion syntax
+    #ifdef __cforall
+    [ * [3] int ] toms_twin(...) {
+    }
+    [ * [int]( [3] int T,
+            [const 3] int p1,
+            [static 3] int p2,
+            [static const 3] int p3
+            )
+    ] janes_twin(...) {
+    }
+    #endif
 
 
-	int fm1( int, int, int[][*] );
-	int fm1( int r, int c, int m[][c] ) {}
-	int fm2( int r, int c, int (*m)[c] ) {}             // same as fm1
-E2(	int fm3( int r, int c, int m[][static c] ) {}  )    // that's not static
-E3(	int fm4( int r, int c, int m[][] );            )    // m's immediate element type is incomplete
-	int fm5( int, int, int[*][*] );                     // same as fm1 decl
+//  int fm1( int, int, int[][*] );                      // TODO: investigate gcc-11 warning 
+//  int fm1( int r, int c, int m[][c] ) {}
+    int fm2( int r, int c, int (*m)[c] ) {}             // same as fm1
+E2( int fm3( int r, int c, int m[][static c] ) {}  )    // that's not static
+E3( int fm4( int r, int c, int m[][] );            )    // m's immediate element type is incomplete
+    int fm5( int, int, int[*][*] );                     // same as fm1 decl
                                                         #ifndef __cforall
-	int fm5( int r, int c, int m[r][c] ) {}             // BUG 276: CFA chokes but should accept
-	                                                    // C: same as fm1 defn
+    int fm5( int r, int c, int m[r][c] ) {}             // BUG 276: CFA chokes but should accept
+                                                        // C: same as fm1 defn
                                                         #endif
 
